<?php

require_once "PEAR/PackageFileManager2.php";
PEAR::setErrorHandling(PEAR_ERROR_DIE);

$summary = file_get_contents( "SUMMARY.txt");
$description = file_get_contents( "DESCRIPTION.txt");
$notes = file_get_contents( "NOTES.txt");
$releaseState = "stable";
$apiState = "stable";
$releaseVersion = "1.0.6";
$apiVersion = "1.0.6";
$channel = "channel.example.com";

$packagexml = new PEAR_PackageFileManager2();
$packagexml->setOptions(
  array(
    "filelistgenerator"=>"file",
    "packagedirectory"=>dirname(__FILE__)."/Artichow-php5",
    "baseinstalldir"=>"Artichow",
    "packagefile"=>"package2.xml",
    "simpleoutput"=>TRUE,
    "dir_roles"=>array( "doc"=>"doc", "examples"=>"doc", "font"=>"php", "images"=>"php", "pattern"=>"php"),
    "exceptions"=>array("/*.php"=>"php", "ChangeLog"=>"doc", "README"=>"doc", "TODO"=>"doc")
  )
);
$packagexml->setPackageType("php");
$packagexml->addRelease();
$packagexml->setPackage("Artichow");
//$packagexml->setChannel("channel.example.com");
$packagexml->setUri("http://channel.example.com/");
$packagexml->setReleaseVersion($releaseVersion);
$packagexml->setAPIVersion($apiVersion);
$packagexml->setReleaseStability($releaseState);
$packagexml->setAPIStability($apiState);
$packagexml->setSummary( $summary);
$packagexml->setDescription( $description);
$packagexml->setNotes( $notes);
$packagexml->setPhpDep( "5.0.0");
$packagexml->setPearinstallerDep( "1.4.0");
$packagexml->addMaintainer("lead", "VinVent", "Vincent Guth", "dev@slash.null");
$packagexml->addMaintainer("lead", "admin", "Channel administrator", "admin@example.com");
$packagexml->setLicense("Public Domain", "");
$packagexml->generateContents();
$packagexml->writePackageFile();
?>
